
set( artdaq_core_VERSION 3.05.07 )
set( artdaq_core_UPS_VERSION v3_05_07 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_boost( v1_53_0 )
find_ups_product( canvas v1_00_00 )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_product( sqlite  )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
  cet_find_library( PYTHON NAMES python2.7 PATHS ENV PYTHON_LIB NO_DEFAULT_PATH )
find_ups_product( messagefacility  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_product( cetpkgsupport v1_08_03 )
find_ups_root( v5_34_20 )
find_ups_product( TRACE v3_03_00 )
set(ARTDAQ-CORE_UTILITIES "$ENV{ARTDAQ_CORE_LIB}/libartdaq-core_Utilities.so")
set(ARTDAQ-CORE_UTILITIES_GENFILE_MFPLUGIN "$ENV{ARTDAQ_CORE_LIB}/libartdaq-core_Utilities_GenFile_mfPlugin.so")
set(ARTDAQ-CORE_DATA "$ENV{ARTDAQ_CORE_LIB}/libartdaq-core_Data.so")
set(ARTDAQ-CORE_DATA_DICT "$ENV{ARTDAQ_CORE_LIB}/libartdaq-core_Data_dict.so")
set(ARTDAQ-CORE_CORE "$ENV{ARTDAQ_CORE_LIB}/libartdaq-core_Core.so")
set(ARTDAQ-CORE_GENERATORS "$ENV{ARTDAQ_CORE_LIB}/libartdaq-core_Generators.so")
set(ARTDAQ-CORE_BUILDINFO "$ENV{ARTDAQ_CORE_LIB}/libartdaq-core_BuildInfo.so")
  include_directories ( "$ENV{ARTDAQ_CORE_INC}" )

check_required_components(artdaq_core)

